## python-motor 2.3.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Motor.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Motor.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-motor 1.0

=== debian/changelog ===
python-motor (1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #816969)

 -- Ondřej Nový <onovy@debian.org>  Tue, 15 Nov 2016 18:10:05 +0100

=== debian/control ===
Source: python-motor
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-futures,
               python-setuptools,
               python-pymongo (>= 3.3),
               python-mockupdb,
               python-tornado,
               python3-all,
               python3-setuptools,
               python3-pymongo (>= 3.3),
               python3-mockupdb,
               python3-tornado,
Standards-Version: 3.9.8
Homepage: https://github.com/mongodb/motor
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-motor.git/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-motor.git
Testsuite: autopkgtest-pkg-python

Package: python-motor
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-pymongo (>= 3.3),
Description: full-featured, non-blocking MongoDB driver - Python 2.x
 Motor presents a callback- or Future-based API for non-blocking access to
 MongoDB from Tornado or asyncio.
 .
 This package contains the Python 2.x module.

Package: python3-motor
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pymongo (>= 3.3),
Description: full-featured, non-blocking MongoDB driver - Python 3.x
 Motor presents a callback- or Future-based API for non-blocking access to
 MongoDB from Tornado or asyncio.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = motor
# See: https://jira.mongodb.org/browse/MOTOR-129
export PYBUILD_AFTER_INSTALL_python2=rm \
	'{destdir}/{install_dir}/motor/aiohttp.py' \
	'{destdir}/{install_dir}/motor/motor_asyncio.py'

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	# Tests requires MongoDB running on system

## python-motor 1.1

=== debian/changelog ===
python-motor (1.1-2) unstable; urgency=medium

  * Uploading to unstable

 -- Ondřej Nový <onovy@debian.org>  Tue, 20 Jun 2017 12:37:33 +0200

python-motor (1.1-1) experimental; urgency=medium

  * New upstream release
  * Bump required version of PyMongo to 3.4
  * d/copyright: Bump copyright years
  * d/s/options: Ignore .egg-info
  * Remove not needed B-D which are useful only for tests
  * Add python{,3}-gridfs and python-concurrent.futures to Depends
  * Suggests python{,3}-tornado and python3-aiohttp
  * d/tests: Run upstream unit tests

 -- Ondřej Nový <onovy@debian.org>  Sat, 08 Apr 2017 15:40:45 +0200

=== debian/control ===
Source: python-motor
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://github.com/mongodb/motor
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-motor.git/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-motor.git
Testsuite: autopkgtest-pkg-python

Package: python-motor
Architecture: all
Depends: python-concurrent.futures,
         python-gridfs (>= 3.4),
         python-pymongo (>= 3.4),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-tornado,
Description: full-featured, non-blocking MongoDB driver - Python 2.x
 Motor presents a callback- or Future-based API for non-blocking access to
 MongoDB from Tornado or asyncio.
 .
 This package contains the Python 2.x module.

Package: python3-motor
Architecture: all
Depends: python3-gridfs (>= 3.4),
         python3-pymongo (>= 3.4),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python3-aiohttp,
          python3-tornado,
Description: full-featured, non-blocking MongoDB driver - Python 3.x
 Motor presents a callback- or Future-based API for non-blocking access to
 MongoDB from Tornado or asyncio.
 .
 This package contains the Python 3.x module.

## python-motor 1.2.1

=== debian/changelog ===
python-motor (1.2.1-1build1) bionic; urgency=medium

  * No change rebuild for bionic

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Apr 2018 12:49:27 +0200

python-motor (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Bump upstream copyright year

 -- Ondřej Nový <onovy@debian.org>  Mon, 22 Jan 2018 09:41:36 +0100

python-motor (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * d/rules: Don't remove aiohttp and asyncio in Python 2 (fixed upstream)
  * d/copyright: Bump my copyright year
  * Bump debhelper compat level to 11
  * Standards-Version is 4.1.3 now (no changes needed)
  * debian/tests: Run tests on all Python versions

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jan 2018 15:32:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-setuptools,
                python3-all,
                python3-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/mongodb/motor
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-motor.git/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-motor.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = motor

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	# Tests requires MongoDB running on system

## python-motor 2.0.0

=== debian/changelog ===
python-motor (2.0.0-3) unstable; urgency=medium

  * Rename d/tests/control.autodep8 to d/tests/control.
  * Bump standards version to 4.3.0 (no changes)
  * Bump debhelper compat level to 12
  * Drop Python 2 support

 -- Ondřej Nový <onovy@debian.org>  Mon, 08 Jul 2019 13:52:00 +0200

python-motor (2.0.0-2) unstable; urgency=medium

  * Regenerate test certificates, make it compatible with OpenSSL 1.1.1
  * d/tests: Require newer MongoDB server
  * Bump standards version to 4.2.1 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 22:24:43 +0200

python-motor (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * Convert git repository from git-dpm to gbp layout
  * d/p/0001-MOTOR-248-Don-t-use-async-as-variable-name.patch:
    Drop, applied upstream
  * d/tests: Bump required version of python-mockupdb
  * Bump standards version to 4.2.0 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Aug 2018 13:22:19 +0200

python-motor (1.2.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add upstream fix for compatibility with Python 3.7.
    (Closes: #903527)

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Aug 2018 23:31:48 +0300

python-motor (1.2.3-1) unstable; urgency=medium

  * New upstream release
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Bump required version of pymongo to 3.6
  * Add upstream metadata
  * Standards-Version is 4.1.4 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Tue, 29 May 2018 13:30:50 +0200

=== debian/control ===
Source: python-motor
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 4.3.0
Homepage: https://github.com/mongodb/motor
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-motor
Vcs-Git: https://salsa.debian.org/python-team/modules/python-motor.git
Testsuite: autopkgtest-pkg-python

Package: python3-motor
Architecture: all
Depends: python3-gridfs (>= 3.4),
         python3-pymongo (>= 3.6),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python3-aiohttp,
          python3-tornado,
Description: full-featured, non-blocking MongoDB driver - Python 3.x
 Motor presents a callback- or Future-based API for non-blocking access to
 MongoDB from Tornado or asyncio.
 .
 This package contains the Python 3.x module.

## python-motor 2.1.0

=== debian/changelog ===
python-motor (2.1.0-2ubuntu1) groovy; urgency=medium

  * Skip test if deps not installable.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Sep 2020 14:38:35 +0100

python-motor (2.1.0-2) unstable; urgency=medium

  * Restore new-crt.patch.

 -- Ondřej Nový <onovy@debian.org>  Sun, 12 Jan 2020 15:56:25 +0100

python-motor (2.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Balint Reczey ]
  * Add minimal Salsa CI config
  * tests: Expect asyncio.exceptions.TimeoutError where it is present.
    This fixes test failure with Python 3.8
  * New upstream version 2.1.0
  * Drop patches integrated upstream
  * Depend on python3-pymongo (>= 3.10)

 -- Ondřej Nový <onovy@debian.org>  Sun, 12 Jan 2020 14:43:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-motor
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
@@ -7,7 +8,7 @@
                dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/mongodb/motor
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-motor
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-motor.git
@@ -16,7 +17,7 @@
 Package: python3-motor
 Architecture: all
 Depends: python3-gridfs (>= 3.4),
-         python3-pymongo (>= 3.6),
+         python3-pymongo (>= 3.10),
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python3-aiohttp,

## python-motor 2.3.0

=== debian/changelog ===
python-motor (2.3.0-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Étienne Mollier ]
  * python-3.11.patch: add patch from upstream.
    This fixes an import error of motor.motor_asyncio.
    Thanks to Andrey Rakhmatullin for the hint!  (Closes: #1031763)

 -- Étienne Mollier <emollier@debian.org>  Fri, 03 Mar 2023 14:29:00 +0100

python-motor (2.3.0-2) unstable; urgency=medium

  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 19:39:58 +0100

python-motor (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Bump required version of python3-pymongo to 3.11.
  * Mark Rules-Requires-Root: no.
  * Bump debhelper compat level to 13.
  * Bump standards version to 4.5.0.
  * d/p/new-crt.patch: Add metadata.

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Oct 2020 10:32:59 +0100

=== debian/control ===
Source: python-motor
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/mongodb/motor
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-motor
Vcs-Git: https://salsa.debian.org/python-team/packages/python-motor.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-motor
Architecture: all
Depends: python3-gridfs (>= 3.4),
         python3-pymongo (>= 3.11),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python3-aiohttp,
          python3-tornado,
Description: full-featured, non-blocking MongoDB driver - Python 3.x
 Motor presents a callback- or Future-based API for non-blocking access to
 MongoDB from Tornado or asyncio.
 .
 This package contains the Python 3.x module.

=== debian/tests/control ===
Depends: python3-all,
         python3-mockupdb (>= 1.4.0),
         python3-motor,
         python3-setuptools,
         python3-tornado,
         mongodb-server (>= 3.4),
Restrictions: allow-stderr,
              isolation-container,
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do echo "Testing with $py:" ; $py setup.py test ; done

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-motor-$1\.tar\.gz/ \
  https://github.com/mongodb/motor/tags .*/v?(\d\S*)\.tar\.gz

## python-motor 3.4.0

=== debian/changelog ===
python-motor (3.4.0-4) unstable; urgency=low

  * Revert the previous changes

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 27 Jun 2024 10:27:16 +0200

python-motor (3.4.0-3) unstable; urgency=low

  * Set myself as maintainer
  * Point to new Vcs in Debian, since I don't have write access to the one in the python team

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 26 Jun 2024 07:21:05 +0200

python-motor (3.4.0-2) unstable; urgency=low

  * Remove pkgtest, due to mongodb no longer being in debian (Closes: #989408)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 19 Jun 2024 10:37:22 +0200

python-motor (3.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Salvo 'LtWorf' Tomaselli ]
  * New upstream version (Closes: #1073557)
  * Add myself to uploaders
  * Drop version in dependencies
  * Remove upstreamed patches

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 17 Jun 2024 15:13:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-motor
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ondřej Nový <onovy@debian.org>,
+Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -16,8 +16,8 @@
 
 Package: python3-motor
 Architecture: all
-Depends: python3-gridfs (>= 3.4),
-         python3-pymongo (>= 3.11),
+Depends: python3-gridfs,
+         python3-pymongo,
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python3-aiohttp,

## python-motor 3.6.0

=== requirements.txt ===
pymongo>=4.9,<4.10

=== debian/changelog ===
python-motor (3.6.0-2) unstable; urgency=high

  * Depend on newer version of pymongo (Closes: #1084940)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 11 Oct 2024 15:32:13 +0200

python-motor (3.6.0-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 09 Oct 2024 15:30:59 +0200

python-motor (3.5.1-1) unstable; urgency=low

  * New upstream release
  * Build-depend on python3-hatch-requirements-txt
  * Build-depend on pybuild-plugin-pyproject

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 27 Aug 2024 09:07:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-hatch-requirements-txt,
+               pybuild-plugin-pyproject,
                python3-setuptools,
 Standards-Version: 4.6.2
 Homepage: https://github.com/mongodb/motor
@@ -17,7 +19,7 @@
 Package: python3-motor
 Architecture: all
 Depends: python3-gridfs,
-         python3-pymongo,
+         python3-pymongo (>=4.10.1-1),
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python3-aiohttp,

## python-motor 3.7.1

=== requirements.txt ===
pymongo>=4.9,<5.0

=== debian/changelog ===
python-motor (3.7.1-1) unstable; urgency=medium

  * New upstream version 3.7.1
  * Add myself as uploader
  * Update d/copyright
  * Update d/watch to version 4
  * Bump standards version to 4.7.2 in d/control

 -- Diwa Tomy <servalthecat19@tutamail.com>  Tue, 18 Nov 2025 18:46:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-motor
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
+Uploaders: Diwa Tomy <servalthecat19@tutamail.com>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -9,7 +9,7 @@
                python3-hatch-requirements-txt,
                pybuild-plugin-pyproject,
                python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/mongodb/motor
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-motor
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-motor.git
@@ -19,7 +19,7 @@
 Package: python3-motor
 Architecture: all
 Depends: python3-gridfs,
-         python3-pymongo (>=4.10.1-1),
+         python3-pymongo,
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python3-aiohttp,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-motor-$1\.tar\.gz/ \
https://github.com/mongodb/motor/tags .*/v?(\d\S*)\.tar\.gz
